# where2test_backend

Where2test Backend

## Configuration
 - local configuration goes into a single file called `.env` and located in project root
 - the `.env` file must not be in the repository, and has to be recreated for each deployment
 - as a minimum, it should contain database connection settings and a unique random session encryption key:
```python
SECRET_KEY = 'randomsecretkey'
DB_HOST = 'host'
DB_PASSWORD = 'password'
DB_USER = 'username'
DB_PORT = '5432'
DB_DATABASE = 'database'
```
 - Optionally, you can enable debug mode
```python
DEBUG = True
```
 

## Local Flask Server 
 - create Python venv `python3 -m .venv ./venv`
 - activate Python venv `source ./.venv/bin/activate`
 - install dependencies `pip install -r requirements.txt`
 - run flask `flask run`
 - (run `FLASK_APP=wsgi.py FLASK_ENV=development flask run` for develop)
 - check output of the request `http://127.0.0.1:5000/rest/pareto_optimal?employees_all=10&nv=5&betau=0.2&betav=0.4&contact_rate=5.6&home_efficiency_rate=0.9&infection_probability=0.2&test_interval=5`

## Run tests
- `pytest -v`

## Linter
 - run `./scripts/run_pylint.sh`

## HZDR Test Server
 - the app lives in /var/www/where2test.de/backend
 - the URL starts with `test.where2test.de/backend`
 - so it is accessbile e.g. via https://test.where2test.de/backend/rest/pareto_optimal?employees_all=10&nv=5&betau=0.2&betav=0.4&contact_rate=5.6&home_efficiency_rate=0.9&infection_probability=0.2&test_interval=5 
 
