import os

from flask import Flask
from where2flask.cache import cache
from . import rapi


def create_app(test_config=None):
    # create and configure the app
    app = Flask(__name__)

    if test_config is None:
        # load the instance config, if it exists, when not testing
        app.config.from_pyfile('config.py')
    else:
        # load the test config if passed in
        app.config.from_mapping(test_config)

    # ensure the instance folder exists
    try:
        os.makedirs(app.instance_path)
    except OSError:
        pass

    # print(app.config)
    cache.init_app(app=app, config=app.config)
    app.register_blueprint(rapi.bp)

    return app
