"""Flask configuration."""
from os import environ, path
from dotenv import load_dotenv, find_dotenv

basedir = path.abspath(path.dirname(__file__))
load_dotenv(find_dotenv())

# Set these variables from /.env
SECRET_KEY = environ.get('SECRET_KEY') if environ.get('SECRET_KEY') else 'dev'
DEBUG = environ.get('DEBUG') if environ.get('DEBUG') else False

DB_HOST = environ.get('DB_HOST')
DB_PASSWORD = environ.get('DB_PASSWORD')
DB_USER = environ.get('DB_USER')
DB_PORT = environ.get('DB_PORT')
DB_DATABASE = environ.get('DB_DATABASE')

CACHE_TYPE = environ.get('CACHE_TYPE') if environ.get('CACHE_TYPE') else None
CACHE_MEMCACHED_SERVERS = [environ.get('CACHE_MEMCACHED_SERVERS')] if environ.get('CACHE_MEMCACHED_SERVERS') else None
CACHE_KEY_PREFIX = 'w2t'
